# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | List of all members
dirac::SubbandList Class Reference

A class encapulating all the subbands produced by a transform.

`#include <wavelet_utils.h>`

## Public Member Functions
| SubbandList ()
| Constructor. More...
| ~SubbandList ()
| Destructor. More...
void | Init (const int depth, const int xlen, const int ylen)
| Initialise the list. More...
int | Length () const
| Return the length of the subband list. More...
Subband & | operator() (const int n)
| Return the subband at position n (1<=n<=length) More...
const Subband & | operator() (const int n) const
| Return the subband at position n (1<=n<=length) More...
void | AddBand (const Subband &b)
| Add a band to the list. More...
void | Clear ()
| Remove all the bands from the list. More...

## Private Member Functions
float | PerceptualWeight (const float xf, const float yf, const CompSort cs)
| Given x and y spatial frequencies in cycles per degree, returns a weighting value. More...

## Private Attributes
std::vector< Subband > | bands

## Constructor & Destructor Documentation

dirac::SubbandList::SubbandList | ( |  | ) |
| inline

dirac::SubbandList::~SubbandList | ( |  | ) |
| inline

## Member Function Documentation

void dirac::SubbandList::AddBand | ( | const Subband & | b | ) |
| inline

References bands.

void dirac::SubbandList::Clear | ( |  | ) |
| inline

References bands.

void dirac::SubbandList::Init | ( | const int | depth,
|  | const int | xlen,
|  | const int | ylen
| ) |  |

int dirac::SubbandList::Length | ( |  | ) | const
| inline

References bands.

Subband& dirac::SubbandList::operator() | ( | const int | n | ) |
| inline

References bands.

const Subband& dirac::SubbandList::operator() | ( | const int | n | ) | const
| inline

References bands.

float dirac::SubbandList::PerceptualWeight | ( | const float | xf,
|  | const float | yf,
|  | const CompSort | cs
| ) |  |
| private

## Member Data Documentation

std::vector<Subband> dirac::SubbandList::bands
| private

Referenced by AddBand(), Clear(), Length(), and operator()().

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.